
Name:          jdiff
Version:       1.1.1
Release:       %mkrel 12
Group:         Development/Java
Summary:       An HTML Report of API Differences
License:       GPL+ and LGPLv2+
URL:           http://javadiff.sourceforge.net/
# cvs -d:pserver:anonymous@javadiff.cvs.sourceforge.net:/cvsroot/javadiff login
# cvs -z3 -d:pserver:anonymous@javadiff.cvs.sourceforge.net:/cvsroot/javadiff export -rHEAD jdiff
# removing unneeded files
# find jdiff -name .cvsignore -delete
# find jdiff -name "*.jar" -delete
# find jdiff -name "*.class" -delete
# tar czf jdiff-1.1.1-clean-src-cvs.tar.gz jdiff
Source0:       jdiff-1.1.1-clean-src-cvs.tar.gz
Source1:       jdiff-pom-template.xml
Source2:       jdiff-script

Patch0:        jdiff-java8.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: junit
BuildRequires: xerces-j2

Requires:      ant
Requires:      xerces-j2

Requires:      java-headless
Requires:      jpackage-utils
BuildArch:     noarch

%description
JDiff is a Javadoc doclet which generates an HTML 
report of all the packages, classes, constructors, 
methods, and fields which have been removed, added 
or changed in any way, including their documentation, 
when two APIs are compared. This is very useful for 
describing exactly what has changed between two 
releases of a product. Only the API (Application 
Programming Interface) of each version is compared. 
It does not compare what the source code does when 
executed. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jdiff

%patch0 -p0

perl -pi -e 's/\r$//g' doc/CHANGES.txt doc/KNOWN_LIMITATIONS.txt doc/TODO doc/dev_notes.txt

perl -pi -e 's/\r$//g' LICENSE.txt README.txt

ln -sf $(build-classpath xerces-j2) lib/xerces.jar

# fix non ASCII chars
native2ascii -encoding UTF8 test/old/ChangedPackageDoc2/ChangedMethod.java test/old/ChangedPackageDoc2/ChangedMethod.java
native2ascii -encoding UTF8 test/new/ChangedPackageDoc2/ChangedMethod.java test/new/ChangedPackageDoc2/ChangedMethod.java


%build
export CLASSPATH=$(build-classpath junit):`pwd`/build/lib/jdiff.jar:`pwd`/build/lib/antjdiff.jar
%{ant} -Dbuild.sysclasspath=only dist unittest check.compile
# release

%javadoc -classpath `pwd`/build/lib/jdiff.jar:`pwd`/build/lib/antjdiff.jar:$(build-classpath xerces-j2 ant.jar ../jvm/java/lib/tools) \
-d apidocs -Xdoclint:none -sourcepath src -subpackages jdiff

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/lib/ant%{name}.jar %{buildroot}%{_javadir}/ant%{name}.jar
install -pm 644 build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_bindir}
install -pm 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}

%files -f .mfiles
%{_bindir}/%{name}
%{_javadir}/ant%{name}.jar
%doc README.txt doc/jdiff.html doc/CHANGES.txt doc/KNOWN_LIMITATIONS.txt doc/TODO doc/dev_notes.txt
%license LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.1.1-12.mga6
+ Revision: 976563
- First rebuild of the java stack
- sync package jdiff with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 1.1.1-7.mga5
+ Revision: 806563
- sync with fc21
- switch to %%mvn_artifact and javapackages-local
- add new pom file (antjdiff-pom-template.xml)
- use .mfiles generated during build
- use Requires: java-headless

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 506375
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 355294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1.1.1-2.mga3
+ Revision: 325678
- Fixed tag license #859453

* Sun Sep 09 2012 dmorgan <dmorgan> 1.1.1-1.mga3
+ Revision: 290622
- New version

* Thu Oct 20 2011 gil <gil> 0:1.0.10-3.mga2
+ Revision: 157062
- added maven2 pom

* Wed Jan 19 2011 pterjan <pterjan> 0:1.0.10-2.0.6.mga1
+ Revision: 23685
- imported package jdiff


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.0.10-2.0.6mdv2011.0
+ Revision: 619787
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0:1.0.10-2.0.5mdv2010.0
+ Revision: 429599
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:1.0.10-2.0.4mdv2009.0
+ Revision: 136503
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.10-2.0.4mdv2008.1
+ Revision: 120936
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.10-2.0.3mdv2008.0
+ Revision: 87430
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Aug 04 2007 David Walluck <walluck@mandriva.org> 0:1.0.10-2.0.2mdv2008.0
+ Revision: 58807
- bump release

* Thu Aug 02 2007 David Walluck <walluck@mandriva.org> 0:1.0.10-2.0.1mdv2008.0
+ Revision: 58338
- Import jdiff



* Tue Jul 10 2007 Alexander Kurtakov <akurtakov@active-lynx.com> - 0:1.0.10-2.0.1mdv2008.0
- Use mdv macros
- Add gcj_support

* Thu Jul 13 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0.10-2jpp
- First JPP-1.7 release

* Tue Nov 08 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.10-1jpp
- Upgrade to 1.0.10

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0.9-2jpp
- Rebuild with ant-1.6.2

* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.9-1jpp
- First JPackage release
